distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Gerber viewer
Name:      	gerbv
Version:   	2.0.1
Release:   	1
Provides:  	gerbv	
License : 	GPL
url:		http://gerbv.sourceforge.net/	
Group:     	Graphics
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	atk-devel
BuildRequires:  glibc-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel


%description
Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files are generated from PCB CAD system and sent to PCB manufacturers as basis for the manufacturing process. The standard supported by gerbv is RS-274X. The basic difference between RS-274D (the old standard) and RS-274X is basically the addition of apertures in RS-274X. It might be possible to make an RS-274X file out of an RS-274D file and an aperture list. 
 gerbv also supports drill files. The format supported are known under names as NC-drill or Excellon. The format is a bit undefined and different EDA-vendors implement it different. But basically you need to have the tools definition in the file, then the parser is quite tolerant. The different holes are shown as dots in the (scaled) correct size. 
 The different layers of the PCB are separated into different files. gerbv can load all files at the same time and display them "on top of each other". You can independently turn them on and off.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix  --mandir=%_mandir -disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_bindir
%_datadir/gerbv
%_mandir
%_datadir/applications
%_datadir/icons

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- version update
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- version update
* Sun Jul 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- initial release                 
